%global gem_name rubigen

Summary:        A framework to allow Ruby applications to generate file/folder stubs
Name:           rubygem-%{gem_name}
Version:        1.5.6
Release:        4%{?dist}
Group:          Development/Languages
License:        MIT and LGPLv2+
URL:            http://drnic.github.com/rubigen
Source0:        http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:       ruby(abi) = 1.9.1
Requires:       ruby(rubygems)
Requires:       rubygem(activesupport) >= 2.3.5
BuildRequires:  rubygems-devel
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
A framework to allow Ruby applications to generate file/folder stubs  (like
the "rails" command does for Ruby on Rails, and the 'script/generate' command
within a Rails application during development).


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force -V --rdoc %{SOURCE0}

%build


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gem_dir}/bin
find %{buildroot}%{gem_instdir}/bin -type f |xargs chmod a+x

# Kill crlf
sed -s 's/\r//g' -i \
        %{buildroot}%{gem_instdir}/website/version-raw.txt \
        %{buildroot}%{gem_instdir}/website/version.txt

# Already in specifications/
rm -f %{buildroot}%{gem_instdir}/rubigen.gemspec


%files
%{_bindir}/install_rubigen_scripts
%{_bindir}/rubigen
%{_bindir}/ruby_app
%dir %{gem_instdir}
%{gem_instdir}/*_generators
%{gem_libdir}
%{gem_instdir}/script
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/features
%{gem_instdir}/generators
%{gem_instdir}/website
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/test
%doc %{gem_instdir}/.autotest
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/License.txt
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/Todo.txt
%{gem_cache}
%{gem_spec}


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.5.6-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 9 2011 Mo Morsi - 1.5.6-1
- New upstream version.
- update to conform to fedora guidelines

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 9 2010 Matthew Kent <mkent@magoazul.com> - 1.5.4-1
- New upstream version.
- Drop unused sitelib macro.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-4
- Remove hoe dependency
- Fix up license tag

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-2
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-1
- Package generated by gem2rpm
- Fix end of line encodings
- Fix up License
